summaryrefslogtreecommitdiffstats
path: root/dimension/tests/numeric.sh
diff options
context:
space:
mode:
authorTavian Barnes <tavianator@gmail.com>2011-05-15 15:54:56 -0600
committerTavian Barnes <tavianator@gmail.com>2011-05-15 15:58:05 -0600
commita5a6b94c038e01ebf1e2de0a0774a69b02fb8e1e (patch)
tree66a4b977fff9f0119456b6c5a3398d25976f6c53 /dimension/tests/numeric.sh
parent130cbc32499ade9235873bc5d575816f80636916 (diff)
downloaddimension-a5a6b94c038e01ebf1e2de0a0774a69b02fb8e1e.tar.xz
Group tests and benchmarks with the corresponding source code.
Diffstat (limited to 'dimension/tests/numeric.sh')
-rwxr-xr-xdimension/tests/numeric.sh43
1 files changed, 43 insertions, 0 deletions
diff --git a/dimension/tests/numeric.sh b/dimension/tests/numeric.sh
new file mode 100755
index 0000000..c5e7c93
--- /dev/null
+++ b/dimension/tests/numeric.sh
@@ -0,0 +1,43 @@
+#!/bin/sh
+
+#########################################################################
+# Copyright (C) 2009-2011 Tavian Barnes <tavianator@tavianator.com> #
+# #
+# This file is part of The Dimension Test Suite. #
+# #
+# The Dimension Test Suite is free software; you can redistribute it #
+# and/or modify it under the terms of the GNU General Public License as #
+# published by the Free Software Foundation; either version 3 of the #
+# License, or (at your option) any later version. #
+# #
+# The Dimension Test Suite is distributed in the hope that it will be #
+# useful, but WITHOUT ANY WARRANTY; without even the implied warranty #
+# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU #
+# General Public License for more details. #
+# #
+# You should have received a copy of the GNU General Public License #
+# along with this program. If not, see <http://www.gnu.org/licenses/>. #
+#########################################################################
+
+numeric=$(${top_builddir}/dimension/dimension ${dimension_flags} --tokenize ${srcdir}/numeric.pov)
+numeric_exp=$(echo -n \
+'((integer "1")
+ (integer "123456789")
+ (integer "01234567")
+ (integer "0x123456789")
+ - (integer "0x01")
+
+ (float ".1")
+ (float "0.1")
+ (float "1.0")
+ (float "0.123456789")
+ - (float "0.123456789")
+
+ < (integer "1") , (float "2.2") , - (float "3.03") >)' \
+| tr '\n' ' ' | sed -r 's/[[:space:]]+/ /g')
+
+if [ "$numeric" != "$numeric_exp" ]; then
+ echo "numeric.pov tokenized as \"$numeric\"" >&2
+ echo " -- expected \"$numeric_exp\"" >&2
+ exit 1
+fi